Bug 421307 - Account context menu's Reconcile option opens incorrect ledger
Summary: Account context menu's Reconcile option opens incorrect ledger
Status: RESOLVED FIXED
Alias: None
Product: kmymoney
Classification: Unclassified
Component: general (show other bugs)
Version: git (master)
Platform: Manjaro Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: KMyMoney Devel Mailing List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-05-10 22:09 UTC by Robert Szczesiak
Modified: 2020-06-05 04:06 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 5.1.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Robert Szczesiak 2020-05-10 22:09:45 UTC
SUMMARY
Selecting the 'Reconcile...' option from account's context menu in the Accounts view opens ledger of the last account viewed in the Ledgers view, not of the account selected in the Accounts view.

STEPS TO REPRODUCE
1. Go to the Ledgers view and select any account from the drop-down list at the top. Let's call it Account A.
2. Go to the Accounts view and right-click any user-defined account other than Account A. Let's call it Account B. 
3. Select the 'Reconcile...' option from the context menu.

OBSERVED RESULT
Reconciliation Wizard starts on top of the Ledgers view. The acount selected in the drop-down list is still Account A.

EXPECTED RESULT
The reconciliation process should start for Account B selected in the Accounts view instead of Account A previously viewed in the Ledgers view.

SOFTWARE/OS VERSIONS
KDE Plasma Version: 5.18.4
KDE Frameworks Version: 5.69.0
Qt Version: 5.14.2
Comment 1 Thomas Baumgart 2020-05-14 17:37:46 UTC
Git commit 3f623b353c7c18f5ef673842389161374d1e97d5 by Thomas Baumgart, on behalf of Robert Szczesiak.
Committed on 14/05/2020 at 17:37.
Pushed by tbaumgart into branch '5.0'.

Fix Account context menu's Reconcile option opens incorrect ledger

Summary:
Selecting the 'Reconcile...' option from account's context menu in the
Accounts view would open ledger of the last account viewed in the
Ledgers view, not of the account selected in the Accounts view.

This commit fixes the issue so that the 'Reconcile...' option opens
correct ledger.
FIXED-IN: 5.0.9

Reviewers: tbaumgart

Reviewed By: tbaumgart

Tags: #kmymoney

Differential Revision: https://phabricator.kde.org/D29614

M  +5    -3    kmymoney/views/kgloballedgerview.cpp

https://commits.kde.org/kmymoney/3f623b353c7c18f5ef673842389161374d1e97d5